Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/ai-sessions/$AI_SESSION_ID/outputs \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "next_action_recommendation",
"content": "Offer the in-policy two-installment promise option.",
"citations": [
{
"fact": "loan.amountPastDue",
"evidenceId": "evd_FACT_81"
}
],
"confidence": "high"
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/ai-sessions/${aiSessionId}/outputs` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"type": "next_action_recommendation",
"content": "Offer the in-policy two-installment promise option.",
"citations": [
{
"fact": "loan.amountPastDue",
"evidenceId": "evd_FACT_81"
}
],
"confidence": "high"
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/ai-sessions/{ai_session_id}/outputs" ,
headers={"Authorization" : f"Bearer {token}" , "Idempotency-Key" : idempotency_key},
json={
"type": "next_action_recommendation",
"content": "Offer the in-policy two-installment promise option.",
"citations": [
{
"fact": "loan.amountPastDue",
"evidenceId": "evd_FACT_81"
}
],
"confidence": "high"
},
)201 401 403 409 422 429
{
"outputId": "aio_81",
"aiSessionId": "ais_CASE_71",
"status": "produced",
"reviewRequired": true
}{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401 ,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403 ,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409 ,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422 ,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429 ,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}